注文状況の更新
POST
https://endpoint.YOURDOMAIN.com/orderstatusupdatenotification
Body Parameters
- bodyobject
- timestampinteger<int32>DescriptionDefault1415287568
- typestring<FORTER_ORDER_DECISION | ORDER_STATUS_UPDATE | FORTER_ACCOUNT_STATUS_UPDATE | COMPENSATION_REQUEST_UPDATE>DescriptionDefaultORDER_STATUS_UPDATE
- orderIdstringDescriptionDefault2356fdse0rr489
- merchantActionstring<RELEASE | CANCEL>DescriptionDefaultRELEASE
- triggeredBystringDescriptionDefault
- agentCommentsstringDescriptionDefaultCustomer seems legit
- linkToOrderInDashboardstringDescriptionDefaulthttps://portal.forter.com/transactions/2356fdse0rr489
Responses
200
curl
curl --request POST \
--url https://endpoint.YOURDOMAIN.com/orderstatusupdatenotification \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data-raw '{
"timestamp": 1415287568,
"type": "ORDER_STATUS_UPDATE",
"orderId": "2356fdse0rr489",
"merchantAction": "RELEASE",
"triggeredBy": "[email protected]",
"agentComments": "Customer seems legit",
"linkToOrderInDashboard": "https://portal.forter.com/transactions/2356fdse0rr489"
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"timestamp": 1415287568,
"type": "ORDER_STATUS_UPDATE",
"orderId": "2356fdse0rr489",
"merchantAction": "RELEASE",
"triggeredBy": "[email protected]",
"agentComments": "Customer seems legit",
"linkToOrderInDashboard": "https://portal.forter.com/transactions/2356fdse0rr489"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://endpoint.YOURDOMAIN.com/orderstatusupdatenotification", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://endpoint.YOURDOMAIN.com/orderstatusupdatenotification")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"timestamp": 1415287568,
"type": "ORDER_STATUS_UPDATE",
"orderId": "2356fdse0rr489",
"merchantAction": "RELEASE",
"triggeredBy": "[email protected]",
"agentComments": "Customer seems legit",
"linkToOrderInDashboard": "https://portal.forter.com/transactions/2356fdse0rr489"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://endpoint.YOURDOMAIN.com/orderstatusupdatenotification"
payload = json.dumps({
"timestamp": 1415287568,
"type": "ORDER_STATUS_UPDATE",
"orderId": "2356fdse0rr489",
"merchantAction": "RELEASE",
"triggeredBy": "[email protected]",
"agentComments": "Customer seems legit",
"linkToOrderInDashboard": "https://portal.forter.com/transactions/2356fdse0rr489"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
フォルターから商人の注文管理システムに通常送信される商人の処分決定に関する通知